GNU bug report logs - #46368
Completion vs. "*" buffer names

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; merged with #43440; dated Sun, 7 Feb 2021 16:53:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46368 <at> debbugs.gnu.org:


Received: (at 46368) by debbugs.gnu.org; 10 Feb 2021 12:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 10 07:16:29 2021
Received: from localhost ([127.0.0.1]:55631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l9oQ1-0004Wr-Mo
	for submit <at> debbugs.gnu.org; Wed, 10 Feb 2021 07:16:29 -0500
Received: from heytings.org ([95.142.160.155]:41094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1l9oPz-0004Wi-99
 for 46368 <at> debbugs.gnu.org; Wed, 10 Feb 2021 07:16:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1612959385;
 bh=r2tOOJCUjBoa+3u2oLbT3ktCVQgUBWNPJyq6mOIeaCI=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=m9w+KCi3xZrxtdoGpCNtX0PzOHFl3JTtGZoRTwVapPw/EYiYMlQWxnfzRh5Zu13gE
 gvMCGeiPC4kdtUyeLZJKd5PtKb59KhAinldj6X6s02EN2ACcqW+mHP+1poTXYLy8Wb
 ozn7ll5kRygqBCvRRBdpgqCHmAX18fVtdfcXNt0cKsh6c0duabQAW4kLmt7xQzLWTG
 1gh0c7XL4yOzCK4L9yb4e6V+PiN5YxWJLSx3nebAp9V3sHm0IY8Uk71sOit8nHOAtA
 qXoQwFyJAQ8z/hqDs4qIE1FeGF9w1E6UiDd8HYFJkbbe85BvYDjqY4TOKcXGzWVmqM
 h1aebH03a15/g==
Date: Wed, 10 Feb 2021 12:16:25 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC_Dan_Jacobson?= <jidanni@HIDDEN>
Subject: Re: bug#46368: Completion vs. "*" buffer names
In-Reply-To: <87y2fwt9vi.5.fsf@HIDDEN>
Message-ID: <3966473cc1a58fd5ce77@HIDDEN>
References: <87y2fz253f.5.fsf@HIDDEN> <7e12c1c3c1ff7dc27105@HIDDEN>
 <87y2fx2py9.5.fsf@HIDDEN> <8ed9b43502b64b17d7bc@HIDDEN>
 <87wnvgg3ut.5.fsf@HIDDEN> <3966473cc17865863a97@HIDDEN>
 <87y2fwt9vi.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46368
Cc: 46368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> $ emacs -nw -Q --eval '(progn(switch-to-buffer "xbp")(switch-to-buffer "xbq")(switch-to-buffer "m"))'
> b                                     ;; self-insert-command
> TAB                                   ;; minibuffer-complete
>
> What is bugging me is that in the *completions* buffer, the x is added 
> to the front, properly. But in the minibuffer it is missing. Yes I 
> didn't type "x", but still, emacs should put it in the minibuffer for 
> me. Emacs will eventually, but it would be better sooner than later.
>

Yes, that's because "partial-completion" is a member of 
"completion-styles".  Try

$ emacs -nw -Q --eval '(progn(switch-to-buffer "xbp")(switch-to-buffer "ybq")(switch-to-buffer "m"))'
b
TAB

and you'll see that the two completion candidates are displayed in the 
*Completions* buffer, even though they have a different prefix ("x" and 
"y").

Perhaps that would be an enhancement request: when all completion 
candidates start with the same prefix, add it to the input string when 
minibuffer-complete is called.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46368; Package emacs. Full text available.

Message received at 46368 <at> debbugs.gnu.org:


Received: (at 46368) by debbugs.gnu.org; 10 Feb 2021 11:55:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 10 06:55:58 2021
Received: from localhost ([127.0.0.1]:55605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l9o69-0003xt-UU
	for submit <at> debbugs.gnu.org; Wed, 10 Feb 2021 06:55:58 -0500
Received: from beige.elm.relay.mailchannels.net ([23.83.212.16]:51804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1l9o64-0003xg-OR
 for 46368 <at> debbugs.gnu.org; Wed, 10 Feb 2021 06:55:56 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 8B385922A32;
 Wed, 10 Feb 2021 11:55:50 +0000 (UTC)
Received: from pdx1-sub0-mail-a11.g.dreamhost.com
 (100-96-16-13.trex.outbound.svc.cluster.local [100.96.16.13])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 236D492181C;
 Wed, 10 Feb 2021 11:55:50 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a11.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.16.13 (trex/6.0.2); Wed, 10 Feb 2021 11:55:50 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Coil-Gusty: 1c53ecd3457f27d1_1612958150389_3176382998
X-MC-Loop-Signature: 1612958150389:2996048774
X-MC-Ingress-Time: 1612958150388
Received: from pdx1-sub0-mail-a11.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a11.g.dreamhost.com (Postfix) with ESMTP id DC92F7F788;
 Wed, 10 Feb 2021 03:55:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=par7pqIaEQugB53myp8Y2mn+WNA=; b=QvWAK/TgD6HVO
 oDsRB0awN0A6g814CWXAwSnHNGT0VCMr9NMc7FmOu7zS9YjWXLIvDTIk03dbaUTo
 BCwjQYMem6sjRwehHaHOz814JndFA4S7zU5KNbeSQ62k+3mTcjK+oeSRUpUdmOHa
 5VlrqLJNCWVjrcYGsvrQnn3R2iUm9Q=
Received: from jidanni.org (111-246-97-93.dynamic-ip.hinet.net [111.246.97.93])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a11.g.dreamhost.com (Postfix) with ESMTPSA id 6E0F87F313;
 Wed, 10 Feb 2021 03:55:49 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a11
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#46368: Completion vs. "*" buffer names
References: <87y2fz253f.5.fsf@HIDDEN> <7e12c1c3c1ff7dc27105@HIDDEN>
 <87y2fx2py9.5.fsf@HIDDEN> <8ed9b43502b64b17d7bc@HIDDEN>
 <87wnvgg3ut.5.fsf@HIDDEN> <3966473cc17865863a97@HIDDEN>
Date: Wed, 10 Feb 2021 19:55:45 +0800
Message-ID: <87y2fwt9vi.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46368
Cc: 46368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

$ emacs -nw -Q --eval '(progn(switch-to-buffer "xbp")(switch-to-buffer "xbq")(switch-to-buffer "m"))'
 b                                     ;; self-insert-command
 TAB                                   ;; minibuffer-complete

gives:

-UUU:----F1  m              All L1     (Fundamental) -------------
In this buffer, type RET to select the completion near point.

Possible completions are:
xbp
xbq
-UUU:%*--F1  *Completions*   All L1     (Completion List) --------
Switch to buffer (default xbq): b

What is bugging me is that in the *completions* buffer, the x is added
to the front, properly. But in the minibuffer it is missing.
Yes I didn't type "x", but still, emacs should put it in the minibuffer
for me. Emacs will eventually, but it would be better sooner than later.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46368; Package emacs. Full text available.

Message received at 46368 <at> debbugs.gnu.org:


Received: (at 46368) by debbugs.gnu.org; 10 Feb 2021 09:59:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 10 04:59:56 2021
Received: from localhost ([127.0.0.1]:55455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l9mHs-0000zG-4K
	for submit <at> debbugs.gnu.org; Wed, 10 Feb 2021 04:59:56 -0500
Received: from heytings.org ([95.142.160.155]:40910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1l9mHq-0000z6-9K
 for 46368 <at> debbugs.gnu.org; Wed, 10 Feb 2021 04:59:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1612951192;
 bh=Q0oFPul7ipbSTZBrnAb/FfKJk12U1pRUgZ5mbLm01WE=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=iJvnEDvMn3Pb2wOgyJayVOLF6QZPhh99Aqs1QD/+p3H+ooanlkVk1J/JdNohlJTJ5
 COrySgUmF/JxhYx/li9UNUg2lxTPH18TfHZlitnVnuP1yeFHObnNbVD7cNMC3Y/y6p
 P+0WdQcxFLe1pEXNenseSXUCXtszySnLFrSv0yvc1Zdw+6zM1XiBbcyzirH1ZTVU6J
 +adnW7O0GrFyvP+pu1JglmNTq0DHJYjgT7aQmL1lvKZDKEbg8b6YlfFZ4jrsz1palI
 8bgbLL6VP0Gfxh8mwufZsyhhcUC8/W9/28KKAQQP/CIXsup4y3ikBhJLN9AmluSkAW
 HH2Fpl1FRjNzQ==
Date: Wed, 10 Feb 2021 09:59:51 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC_Dan_Jacobson?= <jidanni@HIDDEN>
Subject: Re: bug#46368: Completion vs. "*" buffer names
In-Reply-To: <87wnvgg3ut.5.fsf@HIDDEN>
Message-ID: <3966473cc17865863a97@HIDDEN>
References: <87y2fz253f.5.fsf@HIDDEN> <7e12c1c3c1ff7dc27105@HIDDEN>
 <87y2fx2py9.5.fsf@HIDDEN> <8ed9b43502b64b17d7bc@HIDDEN>
 <87wnvgg3ut.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46368
Cc: 46368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> The problem is emacs prompts with A when it should prompt with B:
>
> [A] Switch to buffer (default *scratch*): scratch*
> [B] Switch to buffer (default *scratch*): *scratch*
>
> There is no basis for emacs to produce A.
>

The basis is that you typed "s" instead of "*s".

>
> Emacs simply makes a mistake, dropping the asterisk at the front.
>

Emacs did not "drop" the asterisk at the front, it did not add the 
asterisk at the front.  I don't know whether not adding the asterisk at 
the front at that point is a bug.

>
> Your tests are biased, in that you are still executing from one of the 
> buffers involved.
>

No, the C-x b RET (third line) moves to the *Messages* buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46368; Package emacs. Full text available.

Message received at 46368 <at> debbugs.gnu.org:


Received: (at 46368) by debbugs.gnu.org; 10 Feb 2021 01:47:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 09 20:47:25 2021
Received: from localhost ([127.0.0.1]:55185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l9ebE-0003gf-89
	for submit <at> debbugs.gnu.org; Tue, 09 Feb 2021 20:47:25 -0500
Received: from heytings.org ([95.142.160.155]:40316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1l9ay0-0002KJ-QK
 for 46368 <at> debbugs.gnu.org; Tue, 09 Feb 2021 16:54:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1612907678;
 bh=60Oxi761tcB20Cot+ucjbRhB67bQFvYE74VjWrziUOA=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=ttOHCCPJw89JDoOd8dm4Q4S3CKVXQl9LEpOQ8o7OZFisI9ULoGg0Tki/GJ3JWohG3
 Nw8qE0yJRqE5tAOwutm1kUDLGe550ThSJEVcaVGY1LrfqsHM1N1yCj5TekjTNESIV7
 prJ4CCAAgOYOra37YH4Pb0y06/84v9UIMBM7lAMa2lnDh6cG6yDl0I0qjy6NBteb0y
 ZCb1Fc8S4likQCLNpKY7YbzE84YD0GKrImwY69Ai3xZFwwVuktZjx8Sm4ZWjFgy4iX
 xUsIxVU7IHYhcQVwjb5X0IpNAXdoIl9YEAeWlerFGiiu8+V83lF8T+1S+TxGxEf2kP
 qI26Ug2jv2eXw==
Date: Tue, 09 Feb 2021 21:54:37 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC_Dan_Jacobson?= <jidanni@HIDDEN>
Subject: Re: bug#46368: Completion vs. "*" buffer names
In-Reply-To: <87y2fx2py9.5.fsf@HIDDEN>
Message-ID: <8ed9b43502b64b17d7bc@HIDDEN>
References: <87y2fz253f.5.fsf@HIDDEN> <7e12c1c3c1ff7dc27105@HIDDEN>
 <87y2fx2py9.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46368
X-Mailman-Approved-At: Tue, 09 Feb 2021 20:47:23 -0500
Cc: 46368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Thank you.  Here's a shorter recipe:

emacs -Q
M-x clone-buffer
C-x b RET
C-x b s TAB

At that point it is possible to select "*scratch*<2>" by typing < TAB, but 
it is not possible to select "*scratch*".  With

C-x b *s TAB

there is no problem however, there is no problem, so I'm not sure it's a 
bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46368; Package emacs. Full text available.

Message received at 46368 <at> debbugs.gnu.org:


Received: (at 46368) by debbugs.gnu.org; 10 Feb 2021 00:32:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 09 19:32:05 2021
Received: from localhost ([127.0.0.1]:55107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l9dQL-0001q8-5h
	for submit <at> debbugs.gnu.org; Tue, 09 Feb 2021 19:32:05 -0500
Received: from crocodile.elm.relay.mailchannels.net ([23.83.212.45]:14287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1l9dQI-0001pZ-8Z
 for 46368 <at> debbugs.gnu.org; Tue, 09 Feb 2021 19:32:03 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id B9DAA641E5A;
 Wed, 10 Feb 2021 00:32:00 +0000 (UTC)
Received: from pdx1-sub0-mail-a23.g.dreamhost.com
 (100-96-16-7.trex.outbound.svc.cluster.local [100.96.16.7])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3FC3F641CF9;
 Wed, 10 Feb 2021 00:32:00 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a23.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.16.7 (trex/6.0.2); Wed, 10 Feb 2021 00:32:00 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Befitting-Thread: 06740ccc20c96e6d_1612917120607_2497602994
X-MC-Loop-Signature: 1612917120607:2904773041
X-MC-Ingress-Time: 1612917120607
Received: from pdx1-sub0-mail-a23.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a23.g.dreamhost.com (Postfix) with ESMTP id 067E380416;
 Tue,  9 Feb 2021 16:32:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=6n5df9e3MBj6FpuLx0kYhQ/n5Ws=; b=MGEwx7u/LJ7av
 CjceuSYKpChgCr4SOn3QlrHXA5vo7WI2/Z3CDwSztCRcRfNg/0MQsZfvK65YXCcE
 rRiULaQ7b4za+g35RIxiQvxk9pvnPpUwWGg4v/IhLW11bJvut1ht4mXogqwSiStt
 uueRrMsKwF4L42A9k7VfTrSoC4cokw=
Received: from jidanni.org (220-140-14-29.dynamic-ip.hinet.net [220.140.14.29])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a23.g.dreamhost.com (Postfix) with ESMTPSA id 58445862BC;
 Tue,  9 Feb 2021 16:31:58 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a23
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#46368: Completion vs. "*" buffer names
References: <87y2fz253f.5.fsf@HIDDEN> <7e12c1c3c1ff7dc27105@HIDDEN>
 <87y2fx2py9.5.fsf@HIDDEN> <8ed9b43502b64b17d7bc@HIDDEN>
Date: Wed, 10 Feb 2021 08:31:54 +0800
Message-ID: <87wnvgg3ut.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46368
Cc: 46368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The problem is emacs prompts with A when it should prompt with B:

[A] Switch to buffer (default *scratch*): scratch*
[B] Switch to buffer (default *scratch*): *scratch*

There is no basis for emacs to produce A.
The line is not too long so need to be truncated at the front.
The asterisk at the front is not more boring than the asterisk at the end.
Emacs simply makes a mistake, dropping the asterisk at the front.
If it kept the asterisk on the front, matching would work properly.

Your tests are biased, in that you are still executing from one of the
buffers involved. My tests move to a third neutral buffer.

$ emacs -Q --eval '(progn(clone-buffer)(switch-to-buffer "x"))'
Then typs
 C-x b			;; switch-to-buffer
 s			;; self-insert-command
 c			;; self-insert-command
 <tab>			;; minibuffer-complete
 <tab>			;; minibuffer-complete
 C-h l			;; view-lossage

And, even if matching, say, still works super duper, etc. By forgetting
the asterisk at front, emacs looks like it forgot something.

>>>>> "GH" == Gregory Heytings <gregory@HIDDEN> writes:

GH> Thank you.  Here's a shorter recipe:

GH> emacs -Q
GH> M-x clone-buffer
GH> C-x b RET
GH> C-x b s TAB

GH> At that point it is possible to select "*scratch*<2>" by typing < TAB,
GH> but it is not possible to select "*scratch*".  With

GH> C-x b *s TAB

GH> there is no problem however, there is no problem, so I'm not sure it's
GH> a bug.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46368; Package emacs. Full text available.

Message received at 46368 <at> debbugs.gnu.org:


Received: (at 46368) by debbugs.gnu.org; 9 Feb 2021 17:25:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 09 12:25:13 2021
Received: from localhost ([127.0.0.1]:54479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l9WlF-0006K3-0M
	for submit <at> debbugs.gnu.org; Tue, 09 Feb 2021 12:25:13 -0500
Received: from beige.elm.relay.mailchannels.net ([23.83.212.16]:5189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1l9Wl7-0006Jj-Bs
 for 46368 <at> debbugs.gnu.org; Tue, 09 Feb 2021 12:25:11 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 41FA392359C;
 Tue,  9 Feb 2021 17:25:02 +0000 (UTC)
Received: from pdx1-sub0-mail-a4.g.dreamhost.com
 (100-96-11-12.trex.outbound.svc.cluster.local [100.96.11.12])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 80F6C9234D0;
 Tue,  9 Feb 2021 17:25:01 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a4.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.11.12 (trex/6.0.2); Tue, 09 Feb 2021 17:25:02 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Dime-Fearful: 770f5458461cf3d9_1612891502033_3743500952
X-MC-Loop-Signature: 1612891502033:7345091
X-MC-Ingress-Time: 1612891502033
Received: from pdx1-sub0-mail-a4.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a4.g.dreamhost.com (Postfix) with ESMTP id 430FC802EB;
 Tue,  9 Feb 2021 09:25:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=jidanni.org; bh=a6isYKfLCoecy+DPtn
 n6tOlG288=; b=cVmDZQStged8xRQfUXc4AAji906FMFib+lx8otyrC7gArjF0q6
 LwK7exCFJECqqCDT9G1+4vbFubgoiG/QdTI39vxYWqsMno70h9F3Oh0Sr7F8LDR/
 Aukb8+G2G0LzkCTpdric5J+xuqecLBoQ3NxB7rJcyEH4j/Y9xL4Y61PJM=
Received: from jidanni.org (114-41-0-139.dynamic-ip.hinet.net [114.41.0.139])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a4.g.dreamhost.com (Postfix) with ESMTPSA id E02137E65F;
 Tue,  9 Feb 2021 09:24:58 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a4
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#46368: Completion vs. "*" buffer names
References: <87y2fz253f.5.fsf@HIDDEN> <7e12c1c3c1ff7dc27105@HIDDEN>
Date: Tue, 09 Feb 2021 23:58:22 +0800
Message-ID: <87y2fx2py9.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46368
Cc: 46368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "GH" =3D=3D Gregory Heytings <gregory@HIDDEN> writes:

GH> Does (setq read-buffer-completion-ignore-case t) solve your problem?

I see I already have

    read-buffer-completion-ignore-case is a variable defined in =E2=80=98=
C source code=E2=80=99.
    Its value is t
    Original value was nil

GH> If not, could you provide a recipe, starting with emacs -Q, to
GH> reproduce the problem?

$ emacs -Q
 C-x m            	;; compose-mail
 C-x m			;; compose-mail
 C-x b			;; switch-to-buffer
 b			;; self-insert-command
 <return>		;; minibuffer-complete-and-exit
 C-x b			;; switch-to-buffer
 u			;; self-insert-command
 <tab>			;; minibuffer-complete
 <tab>			;; minibuffer-complete
 <tab>			;; minibuffer-complete
 <tab>			;; minibuffer-complete
 <return>		;; minibuffer-complete-and-exit
 <return>		;; minibuffer-complete-and-exit
 C-x C-b		;; list-buffers
 C-h l			;; view-lossage




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46368; Package emacs. Full text available.

Message received at 46368 <at> debbugs.gnu.org:


Received: (at 46368) by debbugs.gnu.org; 8 Feb 2021 11:14:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 08 06:14:44 2021
Received: from localhost ([127.0.0.1]:49937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l94V7-0001hL-VU
	for submit <at> debbugs.gnu.org; Mon, 08 Feb 2021 06:14:44 -0500
Received: from heytings.org ([95.142.160.155]:37876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1l93K1-000660-48
 for 46368 <at> debbugs.gnu.org; Mon, 08 Feb 2021 04:59:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1612778347;
 bh=uCc9R8M49flZNpoAoUzaUPX0r+oJ7R/5OYmffHUW9OA=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=jnektb8ZIqMSpmqEyfjiogXXo53VnRbP/RVn7srTpVNVj1OJkfJ+El9u73xlvGckl
 eqwUpA9ioTvTRSbuVbi+9HzdUEH9N0l7rJjH9FoaT/PIgzsl8Og8tKDHHxPNr8H6/C
 +w62qmvGwkO4KjWZjRmEeTYPddkGFd7GSHnuMUILLCEQBJ/jS8g7VyH3zxzssLBRy4
 H2IPSetozHbcG+hTLRBZZzFUJYCL1KV0RKP2fC8z7BvyGns8NIJrLTqKN4hkH79/dx
 adsOVzEZNiFFwzU401+mPvPV4nu+RRNG1MgQnLu8z4i8Jsy77jphyvNx8C4QFsLdhW
 u9nvNvmv6BVvw==
Date: Mon, 08 Feb 2021 09:59:06 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC_Dan_Jacobson?= <jidanni@HIDDEN>
Subject: Re: bug#46368: Completion vs. "*" buffer names
In-Reply-To: <87y2fz253f.5.fsf@HIDDEN>
Message-ID: <7e12c1c3c1ff7dc27105@HIDDEN>
References: <87y2fz253f.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46368
X-Mailman-Approved-At: Mon, 08 Feb 2021 06:14:40 -0500
Cc: 46368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Look at the bottom line of the image.
> Here we see completion will never work,
> because the "*" is missing from the start of the string.
>
> (Our cursor is at the end of the line there at the bottom.)
> How did we end up this way?
> Well we just hit "un<TAB>".
> emacs-version "27.1"
>

Does (setq read-buffer-completion-ignore-case t) solve your problem?

If not, could you provide a recipe, starting with emacs -Q, to reproduce 
the problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46368; Package emacs. Full text available.
Forcibly Merged 43440 46368. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Feb 2021 16:52:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 11:52:28 2021
Received: from localhost ([127.0.0.1]:48596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8nIS-0001V4-2S
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 11:52:28 -0500
Received: from lists.gnu.org ([209.51.188.17]:32882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1l8nIQ-0001Uq-RN
 for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 11:52:27 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39200)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1l8nIQ-000175-89
 for bug-gnu-emacs@HIDDEN; Sun, 07 Feb 2021 11:52:26 -0500
Received: from earwig.ash.relay.mailchannels.net ([23.83.222.54]:5884)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1l8nIM-0006to-3C
 for bug-gnu-emacs@HIDDEN; Sun, 07 Feb 2021 11:52:25 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 05B7F7E21FD
 for <bug-gnu-emacs@HIDDEN>; Sun,  7 Feb 2021 16:52:14 +0000 (UTC)
Received: from pdx1-sub0-mail-a80.g.dreamhost.com
 (100-96-13-5.trex.outbound.svc.cluster.local [100.96.13.5])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id D09C97E21CE
 for <bug-gnu-emacs@HIDDEN>; Sun,  7 Feb 2021 16:52:13 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a80.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.13.5 (trex/6.0.2); Sun, 07 Feb 2021 16:52:13 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Obese-Average: 02bde48c230f3733_1612716733904_1878678463
X-MC-Loop-Signature: 1612716733904:2584173181
X-MC-Ingress-Time: 1612716733904
Received: from pdx1-sub0-mail-a80.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a80.g.dreamhost.com (Postfix) with ESMTP id 97908885E8
 for <bug-gnu-emacs@HIDDEN>; Sun,  7 Feb 2021 08:52:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=k6RTkLEaNW/gbuaUP2Y2IZyEAfw=; b=pAGHW+f8hv17u0Hz
 SJ4CKZYro7O+r7o4w1vlPNgFhXqeCmgnwPYx3hGsK97yXuzmEJIRtQHskooVMjKw
 sdTR2Ak81HO2XfFTGMoJo31SMeks4m+92KQbe9fTQALKD3jTp48tsVYUS/otkQhu
 vwFRSl2juzQrM03J38T01d16yoc=
Received: from jidanni.org (36-234-98-47.dynamic-ip.hinet.net [36.234.98.47])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a80.g.dreamhost.com (Postfix) with ESMTPSA id 3CF658510D
 for <bug-gnu-emacs@HIDDEN>; Sun,  7 Feb 2021 08:52:08 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a80
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Completion vs. "*" buffer names
Date: Mon, 08 Feb 2021 00:52:04 +0800
Message-ID: <87y2fz253f.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=23.83.222.54; envelope-from=jidanni@HIDDEN;
 helo=earwig.ash.relay.mailchannels.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Look at the bottom line of the image.
Here we see completion will never work,
because the "*" is missing from the start of the string.

--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=20210208T004619.jpg
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain

(Our cursor is at the end of the line there at the bottom.)
How did we end up this way?
Well we just hit "un<TAB>".
emacs-version "27.1"

--=-=-=--




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46368; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Feb 2021 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.